Create Enrichment Provider
curl --request POST \
--url https://api.example.com/v1/enrichment-providers \
--header 'Content-Type: application/json' \
--data '
{
"provider_name": "<string>",
"display_name": "<string>",
"supported_indicator_types": [
"<string>"
],
"http_config": {},
"description": "<string>",
"auth_type": "no_auth",
"auth_config": {},
"default_cache_ttl_seconds": 3600,
"cache_ttl_by_type": {},
"malice_rules": {}
}
'import requests
url = "https://api.example.com/v1/enrichment-providers"
payload = {
"provider_name": "<string>",
"display_name": "<string>",
"supported_indicator_types": ["<string>"],
"http_config": {},
"description": "<string>",
"auth_type": "no_auth",
"auth_config": {},
"default_cache_ttl_seconds": 3600,
"cache_ttl_by_type": {},
"malice_rules": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
provider_name: '<string>',
display_name: '<string>',
supported_indicator_types: ['<string>'],
http_config: {},
description: '<string>',
auth_type: 'no_auth',
auth_config: {},
default_cache_ttl_seconds: 3600,
cache_ttl_by_type: {},
malice_rules: {}
})
};
fetch('https://api.example.com/v1/enrichment-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_name": "<string>",
"display_name": "<string>",
"is_builtin": true,
"is_active": true,
"supported_indicator_types": [
"<string>"
],
"http_config": {},
"auth_type": "<string>",
"default_cache_ttl_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"has_credentials": false,
"is_configured": false,
"env_var_mapping": {},
"cache_ttl_by_type": {},
"malice_rules": {}
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Enrichment Providers
Create Enrichment Provider
POST
/
v1
/
enrichment-providers
Create Enrichment Provider
Body
application/json
Request body for POST /v1/enrichment-providers.
Required string length:
1 - 100Pattern:
^[a-z0-9_]+$Required string length:
1 - 200Minimum array length:
1Required range:
0 <= x <= 86400Show child attributes
Show child attributes
⌘I

